Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Typedefs
sparse_mem_array.hpp File Reference
`#include <osmium/index/detail/vector_multimap.hpp>`
`#include <vector>`
Include dependency graph for sparse_mem_array.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.
namespace | osmium::index::multimap
| Key-value containers with multiple values for an integer key.

## Typedefs
template<typename T >
using | osmium::index::multimap::StdVectorWrap = std::vector<T>
template<typename TId , typename TValue >
using | osmium::index::multimap::SparseMemArray = VectorBasedSparseMultimap<TId, TValue, StdVectorWrap>